(3)

NAME
boost::numeric::functional::promote<ToFrom,_ToFrom,_std_vector_tag,_std_vector_tag>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional/vector.hpp>
template<typename ToFrom>
struct promote<ToFrom, ToFrom, std_vector_tag, std_vector_tag> : public std::unary_function< ToFrom, ToFrom > {
  // public member functions
  ToFrom & operator()(ToFrom &) const;
};

DESCRIPTION

  promote public member functions

    1.

    ToFrom & operator()(ToFrom & tofrom) const;